import Schedule from '../src/schedule.js'
import Queue from '../src/queue.js'

const HOUR = 0
const MINUTE = 0
const DELTA = 6
const DURATION = 2
const DEV = true  // if true delta and duration are seconds
const NZONES = 4

let zones = []
for (let zone=0; zone < NZONES; zone++) {
  let opts = {dev:DEV, simulanteous:(zone % 2), name:'zone-'+(zone+1),hour:HOUR,minute:MINUTE,delta:DELTA, duration:DURATION}
  zones[zone] = new Schedule (opts)
  // console.log(zones[zone].name,'>hr:min:delta:duration:simultaneous=',
  //   zones[zone].hour,
  //   zones[zone].minute,
  //   zones[zone].delta,
  //   zones[zone].duration,
  // console.dir(val)
  //   zones[zone].simultanecous)
  // zones[zone].on('update',val => {
  //   console.log('just updated schedule')
  //   console.dir(val)
  // })
  zones[zone].update()
}

const queue = new Queue ({
  name: 'irrigation',
  // one: true,
  schedules: zones,
})

queue.start()
setTimeout(() => {queue.kill()},10*1000)
